GtkDatabox: gtk/gtkdatabox_xyyc_graph.h File Reference

GtkDatabox A set of GTK+ widgets to display large amounts of numerical data quickly and easily.

- Main Page
- Data Structures
- Files

- File List
- Globals

Data Structures | Defines | Typedefs | Functions
gtk/gtkdatabox_xyyc_graph.h File Reference
`#include <gtkdatabox_graph.h>`
Include dependency graph for gtkdatabox_xyyc_graph.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
struct | _GtkDataboxXYYCGraph
struct | _GtkDataboxXYYCGraphClass
## Defines
#define | GTK_DATABOX_TYPE_XYYC_GRAPH (gtk_databox_xyyc_graph_get_type ())
#define | GTK_DATABOX_XYYC_GRAPH(obj)
#define | GTK_DATABOX_XYYC_GRAPH_CLASS(klass)
#define | GTK_DATABOX_IS_XYYC_GRAPH(obj)
#define | GTK_DATABOX_IS_XYYC_GRAPH_CLASS(klass)
#define | GTK_DATABOX_XYYC_GRAPH_GET_CLASS(obj)
## Typedefs
typedef struct _GtkDataboxXYYCGraph | GtkDataboxXYYCGraph
typedef struct _GtkDataboxXYYCGraphClass | GtkDataboxXYYCGraphClass
typedef struct _GtkDataboxXYYCGraphPrivate | GtkDataboxXYYCGraphPrivate
## Functions
GType | gtk_databox_xyyc_graph_get_type (void)
guint | gtk_databox_xyyc_graph_get_length (GtkDataboxXYYCGraph *xyyc_graph)
gfloat * | gtk_databox_xyyc_graph_get_X (GtkDataboxXYYCGraph *xyyc_graph)
gfloat * | gtk_databox_xyyc_graph_get_Y1 (GtkDataboxXYYCGraph *xyyc_graph)
gfloat * | gtk_databox_xyyc_graph_get_Y2 (GtkDataboxXYYCGraph *xyyc_graph)

## Define Documentation

#define GTK_DATABOX_IS_XYYC_GRAPH | ( |  | obj | ) |

Value:

    (G_TYPE_CHECK_INSTANCE_TYPE ((obj), \
                                               GTK_DATABOX_TYPE_XYYC_GRAPH))

#define GTK_DATABOX_IS_XYYC_GRAPH_CLASS | ( |  | klass | ) |

Value:

    (G_TYPE_CHECK_CLASS_TYPE ((klass), \
                                               GTK_DATABOX_TYPE_XYYC_GRAPH))

#define GTK_DATABOX_TYPE_XYYC_GRAPH (gtk_databox_xyyc_graph_get_type ())

SECTION:gtkdatabox_xyyc_graph : An abstract anchestor for all graphs which display xyy-values (x, y1 and y2 values) in one color. gtkdatabox_xyyc_graph.h : GtkDatabox, GtkDataboxOffsetBars

GtkDataboxXYYCGraphs are an abstract class for displaying XYY-data (x, y1 and y2 values) in one color. The values for the data are represented as an array of X values, an array of Y1 values and an array of Y2 values. In order to actually display data, you should use one of the derived classes.

#define GTK_DATABOX_XYYC_GRAPH | ( |  | obj | ) |

Value:

    (G_TYPE_CHECK_INSTANCE_CAST ((obj), \
                                               GTK_DATABOX_TYPE_XYYC_GRAPH, \
                                               GtkDataboxXYYCGraph))

#define GTK_DATABOX_XYYC_GRAPH_CLASS | ( |  | klass | ) |

Value:

    (G_TYPE_CHECK_CLASS_CAST ((klass), \
                                               GTK_DATABOX_TYPE_XYYC_GRAPH, \
                                               GtkDataboxXYYCGraphClass))

#define GTK_DATABOX_XYYC_GRAPH_GET_CLASS | ( |  | obj | ) |

Value:

    (G_TYPE_INSTANCE_GET_CLASS ((obj), \
                                               GTK_DATABOX_TYPE_XYYC_GRAPH, \
                                               GtkDataboxXYYCGraphClass))

## Typedef Documentation

typedef struct _GtkDataboxXYYCGraph GtkDataboxXYYCGraph

GtkDataboxXYYCGraph:

GtkDataboxXYYCGraphs are an abstract class for displaying XY-data in one color. The values for the data are represented as an array of X values and a second array of Y values. In order to actually display data, you should use one of the derived classes.

typedef struct _GtkDataboxXYYCGraphClass GtkDataboxXYYCGraphClass

typedef struct _GtkDataboxXYYCGraphPrivate GtkDataboxXYYCGraphPrivate

GtkDataboxXYYCGraphPrivate

A private data structure used by the GtkDataboxXYYCGraph. It shields all internal things from developers who are just using the object.

## Function Documentation

guint gtk_databox_xyyc_graph_get_length | ( | GtkDataboxXYYCGraph * | xyyc_graph | ) |

gtk_databox_xyyc_graph_get_length: : A GtkDataboxXYYCGraph object

Gets the the length of the X and Y values arrays.

Return value: Length of X/Y arrays.

GType gtk_databox_xyyc_graph_get_type | ( | void |  | ) |

gfloat* gtk_databox_xyyc_graph_get_X | ( | GtkDataboxXYYCGraph * | xyyc_graph | ) |

gtk_databox_xyyc_graph_get_X: : A GtkDataboxXYYCGraph object

Gets the X values of the .

Return value: Pointer to X values

gfloat* gtk_databox_xyyc_graph_get_Y1 | ( | GtkDataboxXYYCGraph * | xyyc_graph | ) |

gtk_databox_xyyc_graph_get_Y1: : A GtkDataboxXYYCGraph object

Gets the Y1 values of the .

Return value: Pointer to Y1 values

gfloat* gtk_databox_xyyc_graph_get_Y2 | ( | GtkDataboxXYYCGraph * | xyyc_graph | ) |

gtk_databox_xyyc_graph_get_Y2: : A GtkDataboxXYYCGraph object

Gets the Y2 values of the .

Return value: Pointer to Y2 values

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines